gsasl_strerror_name(3)

NAME
gsasl_strerror_name - API function

SYNOPSIS
#include <gsasl.h>

const char * gsasl_strerror_name(int err);

ARGUMENTS

int err
    libgsasl error code

DESCRIPTION
Convert return code to human readable string representing the error code symbol itself. For example, gsasl_strerror_name(GSASL_OK) returns the string "GSASL_OK". This string can be used to output a diagnostic message to the user. This function is one of few in the library that can be used without a successful call to gsasl_init(). Return value: Returns a pointer to a statically allocated string containing a string version of the error code err , or NULL if the error code is not known.

SINCE
0.2.29

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>.
General guidelines for reporting bugs: https://www.gnu.org/gethelp/
GNU SASL home page: https://www.gnu.org/software/gsasl/

COPYRIGHT
Copyright © 2002-2026 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual. As an alternative you may obtain the manual from:

    https://www.gnu.org/software/libidn/gsasl/manual/